# Lists levels 2 and 3 autofill settings

<span class="api-endpoint">GET {{<a href="#urlbases">baseURL</a>}}/pay-api/v1/transactions/settings/autofill</span>
This endpoint retrieves Level 2 and Level 3 autofill settings.

Endpoint: GET /pay-api/v1/transactions/settings/autofill
Version: V1
Security: Bearer

## Response 200 fields (application/json):

  - `l2Settings` (object)

  - `l2Settings.taxRate` (number)
    Identifies the type of tax rate.
This field is used if taxCategory is not used.
Default sale tax rate in percentage Must be between 0% - 22% ,Applicable
only Level 2 AutoFill.

  - `l3Settings` (object)

  - `l3Settings.product` (object)

  - `l3Settings.product.name` (string)
    The name of the product.

  - `l3Settings.product.code` (string)
    The merchant-assigned product identification code.

The code may only contain letters, digits, spaces, and slashes.

Example: SKU/24601
    Example: SKU/24601

  - `l3Settings.product.unitPrice` (number)
    The unit price for the product.

  - `l3Settings.product.measurementUnit` (string)
    The unit of measurement for the product.

  - `l3Settings.product.quantity` (number)
    Quantity of the product.

  - `l3Settings.product.discountPercentage` (number)
    Indicates the discount percentage.
Example: 1.5 (as 1.5%)
    Example: 1.5

  - `l3Settings.product.description` (string)
    Product description

  - `l3Settings.shippingCharge` (number)
    The percentage for shipping or freight charges applied to a product or transaction.

  - `l3Settings.dutyChargeRate` (number)
    Indicates the percentage for any import or export duties included in the order.

## Response 400 fields (application/json):

  - `details` (string)
    Indicates details about the error.

Example: Validation failed: -- Email: 'Email' is not a valid email address. Severity: Error
    Example: Validation failed: -- Email: 'Email' is not a valid email address. Severity: Error

  - `statusCode` (integer)
    Specifies the HTTP response status code.
This is the HTTP status code returned by the attempted delivery.
The following is a list of HTTP response status codes that include but are not limited to:
| HTTP Status | Meaning |
|  --- | --- |
| 200 | Delivery succeeded |
| 400 | Bad request |
| 401 | Unauthorized |
| 404 | Endpoint not found |
| 429 | Rate limited |

Example: 401
    Example: 401

  - `source` (string)
    Indicates the source of the error.
Example: <Service>
    Example: <Service>

  - `exceptionType` (string)
    Indicates the error's exception type.

Example: FluentValidation.ValidationException
    Example: FluentValidation.ValidationException

  - `correlationId` (string)
    Indicates the correlation identifier.

Example: aa6cfcd0-0295-4a4c-b074-8c901f114fef
    Example: aa6cfcd0-0295-4a4c-b074-8c901f114fef

  - `entityId` (string)
    Indicates the entity identifier.
Example:
null

  - `errorCode` (string)
    Indicates the error code.
Example:
null

## Response 404 fields (application/json):

  - `details` (string)

  - `statusCode` (integer)
    Specifies the HTTP response status code.
This is the HTTP status code returned by the attempted delivery.
The following is a list of HTTP response status codes that include but are not limited to:
| HTTP Status | Meaning |
|  --- | --- |
| 200 | Delivery succeeded |
| 400 | Bad request |
| 401 | Unauthorized |
| 404 | Endpoint not found |
| 429 | Rate limited |

Example: 401
    Example: 401

  - `source` (string)

  - `exceptionType` (string)

  - `correlationId` (string)

  - `entityId` (string)

  - `errorCode` (string)

## Response 500 fields (application/json):

  - `details` (string)

  - `statusCode` (integer)
    Specifies the HTTP response status code.
This is the HTTP status code returned by the attempted delivery.
The following is a list of HTTP response status codes that include but are not limited to:
| HTTP Status | Meaning |
|  --- | --- |
| 200 | Delivery succeeded |
| 400 | Bad request |
| 401 | Unauthorized |
| 404 | Endpoint not found |
| 429 | Rate limited |

Example: 401
    Example: 401

  - `source` (string)

  - `exceptionType` (string)

  - `correlationId` (string)

  - `entityId` (string)

  - `errorCode` (string)

